Index: src/other/step/cmake/SCL_Utils.cmake
===================================================================
--- src/other/step/cmake/SCL_Utils.cmake	(revision 54114)
+++ src/other/step/cmake/SCL_Utils.cmake	(working copy)
@@ -1,13 +1,13 @@
 
 # set compile definitions for dll exports on windows
-MACRO(DEFINE_DLL_EXPORTS libname)
-    IF( MSVC OR BORLAND )
+macro(DEFINE_DLL_EXPORTS libname)
+    if( MSVC OR BORLAND )
         if( ${libname} MATCHES "sdai_.*" )
             set( export "SCL_SCHEMA_DLL_EXPORTS" )
         else()
-            STRING(REGEX REPLACE "lib" "" shortname "${libname}")
-            STRING(REGEX REPLACE "step" "" LOWERCORE "${shortname}")
-            STRING(TOUPPER ${LOWERCORE} UPPER_CORE)
+            string(REGEX REPLACE "lib" "" shortname "${libname}")
+            string(REGEX REPLACE "step" "" LOWERCORE "${shortname}")
+            string(TOUPPER ${LOWERCORE} UPPER_CORE)
             set( export "SCL_${UPPER_CORE}_DLL_EXPORTS" )
         endif()
         get_target_property(defs ${libname} COMPILE_DEFINITIONS )
@@ -17,20 +17,20 @@
             set( defs "${export}")
         endif( defs )
         set_target_properties(${libname} PROPERTIES COMPILE_DEFINITIONS "${defs}" )
-    ENDIF( MSVC OR BORLAND )
-ENDMACRO(DEFINE_DLL_EXPORTS libname)
+    endif( MSVC OR BORLAND )
+endmacro(DEFINE_DLL_EXPORTS libname)
 
 # set compile definitions for dll imports on windows
-MACRO( DEFINE_DLL_IMPORTS tgt libs )
-    IF( MSVC OR BORLAND )
+macro( DEFINE_DLL_IMPORTS tgt libs )
+    if( MSVC OR BORLAND )
         get_target_property(defs ${tgt} COMPILE_DEFINITIONS )
         if( NOT defs ) #if no properties, ${defs} will be defs-NOTFOUND which CMake interprets as false
             set( defs "")
         endif( NOT defs )
         foreach( lib ${libs} )
-            STRING(REGEX REPLACE "lib" "" shortname "${lib}")
-            STRING(REGEX REPLACE "step" "" LOWERCORE "${shortname}")
-            STRING(TOUPPER ${LOWERCORE} UPPER_CORE)
+            string(REGEX REPLACE "lib" "" shortname "${lib}")
+            string(REGEX REPLACE "step" "" LOWERCORE "${shortname}")
+            string(TOUPPER ${LOWERCORE} UPPER_CORE)
             list( APPEND defs "SCL_${UPPER_CORE}_DLL_IMPORTS" )
         endforeach( lib ${libs} )
         if( DEFINED defs )
@@ -38,96 +38,96 @@
                 set_target_properties( ${tgt} PROPERTIES COMPILE_DEFINITIONS "${defs}" )
             endif( defs )
         endif( DEFINED defs )
-    ENDIF( MSVC OR BORLAND )
-ENDMACRO( DEFINE_DLL_IMPORTS tgt libs )
+    endif( MSVC OR BORLAND )
+endmacro( DEFINE_DLL_IMPORTS tgt libs )
 
 #EXCLUDE_OR_INSTALL(target destination ARGV3)
 # installs ${target} in ${destination} unless testing is enabled AND ${arg_3} == "TESTABLE",
 # in which case the EXCLUDE_FROM_ALL property is set for testing.
 # EXCLUDE_FROM_ALL cannot be set on targets that are to be installed,
 # so either test the target or install it - but not both
-MACRO(EXCLUDE_OR_INSTALL target dest arg_3 )
+macro(EXCLUDE_OR_INSTALL target dest arg_3 )
     if( NOT ( ( SCL_ENABLE_TESTING ) AND ( "${arg_3}" STREQUAL "TESTABLE" ) ) )
-        INSTALL(TARGETS ${target} DESTINATION ${dest})
+        install(TARGETS ${target} DESTINATION ${dest})
     else( NOT ( ( SCL_ENABLE_TESTING ) AND ( "${arg_3}" STREQUAL "TESTABLE" ) ) )
         set_target_properties( ${target} PROPERTIES EXCLUDE_FROM_ALL ON )
     endif( NOT ( ( SCL_ENABLE_TESTING ) AND ( "${arg_3}" STREQUAL "TESTABLE" ) ) )
-ENDMACRO(EXCLUDE_OR_INSTALL target dest arg_3 )
+endmacro(EXCLUDE_OR_INSTALL target dest arg_3 )
 
 #SCL_ADDEXEC( execname "source files" "linked libs" ["TESTABLE"] ["MSVC flag" ...])
 # optional 4th argument of "TESTABLE", passed to EXCLUDE_OR_INSTALL macro
 # optional args can also be used by MSVC-specific code, but it looks like these two uses
 # will not conflict because the MSVC args must contain "STRICT"
-MACRO(SCL_ADDEXEC execname srcslist libslist)
+macro(SCL_ADDEXEC execname srcslist libslist)
     add_executable(${execname} ${srcslist})
     target_link_libraries(${execname} ${libslist})
-    DEFINE_DLL_IMPORTS(${execname} "${libslist}")  #add import definitions for all libs that the executable is linked to
-    EXCLUDE_OR_INSTALL( ${execname} "bin" "${ARGV3}" )
+    define_dll_imports(${execname} "${libslist}")  #add import definitions for all libs that the executable is linked to
+    exclude_or_install( ${execname} "bin" "${ARGV3}" )
     # Enable extra compiler flags if local executables and/or global options dictate
-    SET(LOCAL_COMPILE_FLAGS "")
-    FOREACH(extraarg ${ARGN})
-        IF(${extraarg} MATCHES "STRICT" AND SCL-ENABLE_STRICT)
-            SET(LOCAL_COMPILE_FLAGS "${LOCAL_COMPILE_FLAGS} ${STRICT_FLAGS}")
-        ENDIF(${extraarg} MATCHES "STRICT" AND SCL-ENABLE_STRICT)
-    ENDFOREACH(extraarg ${ARGN})
-    IF(LOCAL_COMPILE_FLAGS)
-        SET_TARGET_PROPERTIES(${execname} PROPERTIES COMPILE_FLAGS ${LOCAL_COMPILE_FLAGS})
-    ENDIF(LOCAL_COMPILE_FLAGS)
-ENDMACRO(SCL_ADDEXEC execname srcslist libslist)
+    set(LOCAL_COMPILE_FLAGS "")
+    foreach(extraarg ${ARGN})
+        if(${extraarg} MATCHES "STRICT" AND SCL-ENABLE_STRICT)
+            set(LOCAL_COMPILE_FLAGS "${LOCAL_COMPILE_FLAGS} ${STRICT_FLAGS}")
+        endif(${extraarg} MATCHES "STRICT" AND SCL-ENABLE_STRICT)
+    endforeach(extraarg ${ARGN})
+    if(LOCAL_COMPILE_FLAGS)
+        set_target_properties(${execname} PROPERTIES COMPILE_FLAGS ${LOCAL_COMPILE_FLAGS})
+    endif(LOCAL_COMPILE_FLAGS)
+endmacro(SCL_ADDEXEC execname srcslist libslist)
 
 #SCL_ADDLIB( libname "source files" "linked libs" ["TESTABLE"] ["MSVC flag" ...])
 # optional 4th argument of "TESTABLE", passed to EXCLUDE_OR_INSTALL macro
 # optional args can also be used by MSVC-specific code, but it looks like these two uses
 # will not conflict because the MSVC args must contain "STRICT"
-MACRO(SCL_ADDLIB libname srcslist libslist)
-  STRING(REGEX REPLACE "-framework;" "-framework " libslist "${libslist1}")
-  IF(SCL_BUILD_SHARED_LIBS)
+macro(SCL_ADDLIB libname srcslist libslist)
+  string(REGEX REPLACE "-framework;" "-framework " libslist "${libslist1}")
+  if(SCL_BUILD_SHARED_LIBS)
       add_library(${libname} SHARED ${srcslist})
-      DEFINE_DLL_EXPORTS(${libname})
+      define_dll_exports(${libname})
       if(NOT "${libs}" MATCHES "NONE")
           target_link_libraries(${libname} ${libslist})
-          DEFINE_DLL_IMPORTS(${libname} "${libslist}" )
+          define_dll_imports(${libname} "${libslist}" )
       endif(NOT "${libs}" MATCHES "NONE")
-      SET_TARGET_PROPERTIES(${libname} PROPERTIES VERSION ${SCL_ABI_VERSION} SOVERSION ${SCL_ABI_SOVERSION} )
-      EXCLUDE_OR_INSTALL( ${libname} "lib" "${ARGV3}" )
+      set_target_properties(${libname} PROPERTIES VERSION ${SCL_ABI_VERSION} SOVERSION ${SCL_ABI_SOVERSION} )
+      exclude_or_install( ${libname} "lib" "${ARGV3}" )
     if(APPLE)
         set_target_properties(${libname} PROPERTIES LINK_FLAGS "-flat_namespace -undefined suppress")
     endif(APPLE)
-  ENDIF(SCL_BUILD_SHARED_LIBS)
-  IF(SCL_BUILD_STATIC_LIBS AND NOT MSVC)
+  endif(SCL_BUILD_SHARED_LIBS)
+  if(SCL_BUILD_STATIC_LIBS AND NOT MSVC)
       add_library(${libname}-static STATIC ${srcslist})
-      DEFINE_DLL_EXPORTS(${libname}-static)
+      define_dll_exports(${libname}-static)
       if(NOT ${libs} MATCHES "NONE")
           target_link_libraries(${libname}-static "${libslist}")
-          DEFINE_DLL_IMPORTS(${libname}-static ${libslist} )
+          define_dll_imports(${libname}-static ${libslist} )
       endif(NOT ${libs} MATCHES "NONE")
-      IF(NOT WIN32)
-          SET_TARGET_PROPERTIES(${libname}-static PROPERTIES OUTPUT_NAME "${libname}")
-      ENDIF(NOT WIN32)
-      IF(WIN32)
+      if(NOT WIN32)
+          set_target_properties(${libname}-static PROPERTIES OUTPUT_NAME "${libname}")
+      endif(NOT WIN32)
+      if(WIN32)
           # We need the lib prefix on win32, so add it even if our add_library
           # wrapper function has removed it due to the target name - see
           # http://www.cmake.org/Wiki/CMake_FAQ#How_do_I_make_my_shared_and_static_libraries_have_the_same_root_name.2C_but_different_suffixes.3F
-          SET_TARGET_PROPERTIES(${libname}-static PROPERTIES PREFIX "lib")
-      ENDIF(WIN32)
-      EXCLUDE_OR_INSTALL( ${libname}-static "lib" "${ARGV3}" )
+          set_target_properties(${libname}-static PROPERTIES PREFIX "lib")
+      endif(WIN32)
+      exclude_or_install( ${libname}-static "lib" "${ARGV3}" )
     if(APPLE)
         set_target_properties(${libname}-static PROPERTIES LINK_FLAGS "-flat_namespace -undefined suppress")
     endif(APPLE)
-  ENDIF(SCL_BUILD_STATIC_LIBS AND NOT MSVC)
+  endif(SCL_BUILD_STATIC_LIBS AND NOT MSVC)
   # Enable extra compiler flags if local libraries and/or global options dictate
-  SET(LOCAL_COMPILE_FLAGS "")
-  FOREACH(extraarg ${ARGN})
-      IF(${extraarg} MATCHES "STRICT" AND SCL-ENABLE_STRICT)
-          SET(LOCAL_COMPILE_FLAGS "${LOCAL_COMPILE_FLAGS} ${STRICT_FLAGS}")
-      ENDIF(${extraarg} MATCHES "STRICT" AND SCL-ENABLE_STRICT)
-  ENDFOREACH(extraarg ${ARGN})
-  IF(LOCAL_COMPILE_FLAGS)
-      IF(BUILD_SHARED_LIBS)
-          SET_TARGET_PROPERTIES(${libname} PROPERTIES COMPILE_FLAGS ${LOCAL_COMPILE_FLAGS})
-      ENDIF(BUILD_SHARED_LIBS)
-      IF(BUILD_STATIC_LIBS AND NOT MSVC)
-          SET_TARGET_PROPERTIES(${libname}-static PROPERTIES COMPILE_FLAGS ${LOCAL_COMPILE_FLAGS})
-      ENDIF(BUILD_STATIC_LIBS AND NOT MSVC)
-  ENDIF(LOCAL_COMPILE_FLAGS)
-ENDMACRO(SCL_ADDLIB libname srcslist libslist)
+  set(LOCAL_COMPILE_FLAGS "")
+  foreach(extraarg ${ARGN})
+      if(${extraarg} MATCHES "STRICT" AND SCL-ENABLE_STRICT)
+          set(LOCAL_COMPILE_FLAGS "${LOCAL_COMPILE_FLAGS} ${STRICT_FLAGS}")
+      endif(${extraarg} MATCHES "STRICT" AND SCL-ENABLE_STRICT)
+  endforeach(extraarg ${ARGN})
+  if(LOCAL_COMPILE_FLAGS)
+      if(BUILD_SHARED_LIBS)
+          set_target_properties(${libname} PROPERTIES COMPILE_FLAGS ${LOCAL_COMPILE_FLAGS})
+      endif(BUILD_SHARED_LIBS)
+      if(BUILD_STATIC_LIBS AND NOT MSVC)
+          set_target_properties(${libname}-static PROPERTIES COMPILE_FLAGS ${LOCAL_COMPILE_FLAGS})
+      endif(BUILD_STATIC_LIBS AND NOT MSVC)
+  endif(LOCAL_COMPILE_FLAGS)
+endmacro(SCL_ADDLIB libname srcslist libslist)
Index: src/other/step/cmake/FindLEMON.cmake
===================================================================
--- src/other/step/cmake/FindLEMON.cmake	(revision 54114)
+++ src/other/step/cmake/FindLEMON.cmake	(working copy)
@@ -60,7 +60,7 @@
   endif(lemon_path)
 endif(LEMON_EXECUTABLE AND NOT LEMON_TEMPLATE)
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(LEMON DEFAULT_MSG LEMON_EXECUTABLE LEMON_TEMPLATE)
+find_package_handle_standard_args(LEMON DEFAULT_MSG LEMON_EXECUTABLE LEMON_TEMPLATE)
 mark_as_advanced(LEMON_TEMPLATE)
 
 #============================================================
Index: src/other/step/include/CMakeLists.txt
===================================================================
--- src/other/step/include/CMakeLists.txt	(revision 54114)
+++ src/other/step/include/CMakeLists.txt	(working copy)
@@ -1,4 +1,4 @@
-SET(express_HDRS
+set(express_HDRS
   express/alg.h
   express/basic.h
   express/caseitem.h
@@ -23,7 +23,7 @@
 )
 install(FILES ${express_HDRS} DESTINATION include/express)
 
-SET(exppp_HDRS
+set(exppp_HDRS
   exppp/exppp.h
 )
 install(FILES ${exppp_HDRS} DESTINATION include/exppp)
Index: src/other/step/run_ctest.cmake
===================================================================
--- src/other/step/run_ctest.cmake	(revision 54114)
+++ src/other/step/run_ctest.cmake	(working copy)
@@ -95,29 +95,29 @@
 ctest_empty_binary_directory(${CTEST_BINARY_DIRECTORY})
 
 ctest_configure( BUILD "${CTEST_BINARY_DIRECTORY}" APPEND OPTIONS -DSCL_ENABLE_TESTING=ON )
-SUBMIT_TEST( Configure )
+submit_test( Configure )
 ctest_build( BUILD "${CTEST_BINARY_DIRECTORY}" APPEND )
-SUBMIT_TEST( Build )
+submit_test( Build )
 # ctest_memcheck( BUILD "${CTEST_BINARY_DIRECTORY}" RETURN_VALUE res PARALLEL_LEVEL ${PROCESSOR_COUNT} )
 
 if(NOT SKIP_TEST_UNITARY_SCHEMAS )
     ctest_test( BUILD "${CTEST_BINARY_DIRECTORY}" APPEND
                 PARALLEL_LEVEL ${PROCESSOR_COUNT} INCLUDE_LABEL "unitary_schemas" )
-    SUBMIT_TEST( Test )
+    submit_test( Test )
 endif()
 
 if(NOT SKIP_CPP_TEST_SCHEMA_GEN )
     ctest_test( BUILD "${CTEST_BINARY_DIRECTORY}" APPEND
                 PARALLEL_LEVEL ${PROCESSOR_COUNT} INCLUDE_LABEL "cpp_schema_gen" )
-    SUBMIT_TEST( Test )
+    submit_test( Test )
     if(NOT SKIP_CPP_TEST_SCHEMA_BUILD )
         ctest_test( BUILD "${CTEST_BINARY_DIRECTORY}" APPEND
                     PARALLEL_LEVEL ${PROCESSOR_COUNT} INCLUDE_LABEL "cpp_schema_build" )
-        SUBMIT_TEST( Test )
+        submit_test( Test )
         if(NOT SKIP_CPP_TEST_SCHEMA_RW )
             ctest_test( BUILD "${CTEST_BINARY_DIRECTORY}" APPEND
                         PARALLEL_LEVEL ${PROCESSOR_COUNT} INCLUDE_LABEL "cpp_schema_rw" )
-            SUBMIT_TEST( Test )
+            submit_test( Test )
         endif()
     endif()
 endif()
@@ -126,11 +126,11 @@
     if( SKIP_CPP_TEST_SCHEMA_BUILD )
         ctest_test( BUILD "${CTEST_BINARY_DIRECTORY}" APPEND
                 PARALLEL_LEVEL ${PROCESSOR_COUNT} INCLUDE "build_cpp_sdai_AP214E3_2010" )
-        SUBMIT_TEST( Test )
+        submit_test( Test )
     endif()
     ctest_test( BUILD "${CTEST_BINARY_DIRECTORY}" APPEND
                 PARALLEL_LEVEL ${PROCESSOR_COUNT} INCLUDE_LABEL "exchange_file" )
-    SUBMIT_TEST( Test )
+    submit_test( Test )
 endif()
 
 # ctest_coverage( )
Index: src/other/libpng/CMakeLists.txt
===================================================================
--- src/other/libpng/CMakeLists.txt	(revision 54114)
+++ src/other/libpng/CMakeLists.txt	(working copy)
@@ -14,7 +14,7 @@
     # workaround CMake 2.4.x bug
     set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING
         "Choose the type of build, options are:
-           None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used)
+           none(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used)
            Debug
            Release
            RelWithDebInfo
@@ -22,7 +22,7 @@
   else()
     set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING
         "Choose the type of build, options are:
-           None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used)
+           none(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used)
            Debug
            Release
            RelWithDebInfo
@@ -175,23 +175,23 @@
 endif()
 
 # Ensure the CMAKE_LIBRARY_OUTPUT_DIRECTORY is set
-IF(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
-  SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY "lib")
-ENDIF(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
+if(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
+  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "lib")
+endif(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
 
 # Set a variable with CMake code which:
 # Creates a symlink from src to dest (if possible) or alternatively
 # copies if different.
 macro(CREATE_SYMLINK SRC_FILE DEST_FILE)
-  FILE(REMOVE ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${DEST_FILE})
+  file(REMOVE ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${DEST_FILE})
   if(WIN32 AND NOT CYGWIN AND NOT MSYS)
-    ADD_CUSTOM_COMMAND(
+    add_custom_command(
         OUTPUT ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${DEST_FILE}   ${CMAKE_CURRENT_BINARY_DIR}/${DEST_FILE}
         COMMAND ${CMAKE_COMMAND} -E copy        ${CMAKE_CURRENT_BINARY_DIR}/${SRC_FILE} ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${DEST_FILE}
         COMMAND ${CMAKE_COMMAND} -E copy        ${CMAKE_CURRENT_BINARY_DIR}/${SRC_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${DEST_FILE}
         DEPENDS ${PNG_LIB_NAME} ${PNG_LIB_NAME_STATIC}
         )
-    ADD_CUSTOM_TARGET(${DEST_FILE}_COPY ALL DEPENDS ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${DEST_FILE})
+    add_custom_target(${DEST_FILE}_COPY ALL DEPENDS ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${DEST_FILE})
   else(WIN32 AND NOT CYGWIN AND NOT MSYS)
     execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ${SRC_FILE} ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/${DEST_FILE} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
     execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ${SRC_FILE} ${DEST_FILE} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
@@ -215,11 +215,11 @@
   set(LIBS        "-lz -lm")
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libpng.pc.in
     ${CMAKE_CURRENT_BINARY_DIR}/${PNGLIB_NAME}.pc @ONLY)
-  CREATE_SYMLINK(${PNGLIB_NAME}.pc libpng.pc)
+  create_symlink(${PNGLIB_NAME}.pc libpng.pc)
 
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libpng-config.in
     ${CMAKE_CURRENT_BINARY_DIR}/${PNGLIB_NAME}-config @ONLY)
-  CREATE_SYMLINK(${PNGLIB_NAME}-config libpng-config)
+  create_symlink(${PNGLIB_NAME}-config libpng-config)
 endif(NOT WIN32 OR CYGWIN OR MINGW)
 
 # SET UP LINKS
@@ -263,7 +263,7 @@
     if(CYGWIN OR MINGW)
        get_target_property(BUILD_TARGET_LOCATION ${PNG_LIB_NAME} LOCATION_${CMAKE_BUILD_TYPE})
        get_filename_component(BUILD_TARGET_FILE ${BUILD_TARGET_LOCATION} NAME)
-       CREATE_SYMLINK(${BUILD_TARGET_FILE} libpng${CMAKE_IMPORT_LIBRARY_SUFFIX})
+       create_symlink(${BUILD_TARGET_FILE} libpng${CMAKE_IMPORT_LIBRARY_SUFFIX})
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libpng${CMAKE_IMPORT_LIBRARY_SUFFIX}
          DESTINATION ${CMAKE_INSTALL_LIBDIR})
     endif(CYGWIN OR MINGW)
@@ -271,7 +271,7 @@
     if(NOT WIN32)
       get_target_property(BUILD_TARGET_LOCATION ${PNG_LIB_NAME} LOCATION_${CMAKE_BUILD_TYPE})
       get_filename_component(BUILD_TARGET_FILE ${BUILD_TARGET_LOCATION} NAME)
-      CREATE_SYMLINK(${BUILD_TARGET_FILE} libpng${CMAKE_SHARED_LIBRARY_SUFFIX})
+      create_symlink(${BUILD_TARGET_FILE} libpng${CMAKE_SHARED_LIBRARY_SUFFIX})
       install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libpng${CMAKE_SHARED_LIBRARY_SUFFIX}
          DESTINATION ${CMAKE_INSTALL_LIBDIR})
     endif(NOT WIN32)
@@ -285,7 +285,7 @@
     if(NOT WIN32 OR CYGWIN OR MINGW)
       get_target_property(BUILD_TARGET_LOCATION ${PNG_LIB_NAME_STATIC} LOCATION_${CMAKE_BUILD_TYPE})
       get_filename_component(BUILD_TARGET_FILE ${BUILD_TARGET_LOCATION} NAME)
-      CREATE_SYMLINK(${BUILD_TARGET_FILE} libpng${CMAKE_STATIC_LIBRARY_SUFFIX})
+      create_symlink(${BUILD_TARGET_FILE} libpng${CMAKE_STATIC_LIBRARY_SUFFIX})
       install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libpng${CMAKE_STATIC_LIBRARY_SUFFIX}
          DESTINATION ${CMAKE_INSTALL_LIBDIR})
     endif(NOT WIN32 OR CYGWIN OR MINGW)
Index: src/other/iwidgets/doc/CMakeLists.txt
===================================================================
--- src/other/iwidgets/doc/CMakeLists.txt	(revision 54114)
+++ src/other/iwidgets/doc/CMakeLists.txt	(working copy)
@@ -1,4 +1,4 @@
-SET(iwidgets_MANS
+set(iwidgets_MANS
 	buttonbox.n
 	calendar.n
 	canvasprintbox.n
Index: src/other/iwidgets/CMakeLists.txt
===================================================================
--- src/other/iwidgets/CMakeLists.txt	(revision 54114)
+++ src/other/iwidgets/CMakeLists.txt	(working copy)
@@ -1,9 +1,9 @@
-SET(IWIDGETS_PKGNAME Iwidgets)
-SET(IWIDGETS_PKGVERSION "4.0.1")
-SET(VERSION ${IWIDGETS_PKGVERSION})
-SET(IWIDGETS_VERSION ${IWIDGETS_PKGVERSION})
+set(IWIDGETS_PKGNAME Iwidgets)
+set(IWIDGETS_PKGVERSION "4.0.1")
+set(VERSION ${IWIDGETS_PKGVERSION})
+set(IWIDGETS_VERSION ${IWIDGETS_PKGVERSION})
 
-SET(IWIDGETS_SCRIPTS
+set(IWIDGETS_SCRIPTS
   generic/buttonbox.itk
   generic/calendar.itk
   generic/canvasprintbox.itk
@@ -65,12 +65,12 @@
   generic/watch.itk
   )
 
-FOREACH(script ${IWIDGETS_SCRIPTS})
+foreach(script ${IWIDGETS_SCRIPTS})
   install(FILES ${script} DESTINATION lib/${IWIDGETS_PKGNAME}${IWIDGETS_PKGVERSION}/scripts)
-ENDFOREACH(script ${IWIDGETS_SCRIPTS})
-CMAKEFILES(${IWIDGETS_SCRIPTS})
+endforeach(script ${IWIDGETS_SCRIPTS})
+cmakefiles(${IWIDGETS_SCRIPTS})
 
-FOREACH(file ${IWIDGETS_SCRIPTS})
+foreach(file ${IWIDGETS_SCRIPTS})
   get_filename_component(filename ${file} NAME)
   if(NOT CMAKE_CONFIGURATION_TYPES)
     configure_file(${file} ${CMAKE_BINARY_DIR}/lib/${IWIDGETS_PKGNAME}${IWIDGETS_PKGVERSION}/scripts/${filename} COPYONLY)
@@ -80,10 +80,10 @@
       configure_file(${file} ${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/lib/${IWIDGETS_PKGNAME}${IWIDGETS_PKGVERSION}/scripts/${filename} COPYONLY)
     endforeach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
   endif(NOT CMAKE_CONFIGURATION_TYPES)
-ENDFOREACH(file ${ITK_LIBRARY_FILES})
+endforeach(file ${ITK_LIBRARY_FILES})
 
 # Create the pkgIndex.tcl file and configure iwidgets.tcl.
-FILE(WRITE ${CMAKE_CURRENT_BINARY_DIR}/pkgIndex.tcl "package ifneeded ${IWIDGETS_PKGNAME} ${IWIDGETS_PKGVERSION} [list source [file join $dir iwidgets.tcl]]")
+file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/pkgIndex.tcl "package ifneeded ${IWIDGETS_PKGNAME} ${IWIDGETS_PKGVERSION} [list source [file join $dir iwidgets.tcl]]")
 set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/pkgIndex.tcl PROPERTIES GENERATED TRUE)
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/iwidgets.tcl.in ${CMAKE_CURRENT_BINARY_DIR}/iwidgets.tcl)
 
@@ -104,4 +104,4 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/iwidgets.tcl DESTINATION lib/${IWIDGETS_PKGNAME}${IWIDGETS_PKGVERSION})
 install(FILES license.terms DESTINATION lib/${IWIDGETS_PKGNAME}${IWIDGETS_PKGVERSION})
 
-ADD_SUBDIRECTORY(doc)
+add_subdirectory(doc)
Index: src/other/tcl/library/CMakeLists.txt
===================================================================
--- src/other/tcl/library/CMakeLists.txt	(revision 54114)
+++ src/other/tcl/library/CMakeLists.txt	(working copy)
@@ -1,7 +1,7 @@
 #ADD_SUBDIRECTORY(tzdata)
 
-MACRO(TCL_SCRIPTS_BUILD files destination)
-  FOREACH(file ${${files}})
+macro(TCL_SCRIPTS_BUILD files destination)
+  foreach(file ${${files}})
     get_filename_component(filename ${file} NAME)
     if(NOT CMAKE_CONFIGURATION_TYPES)
       configure_file(${file} ${CMAKE_BINARY_DIR}/${destination}/${filename} COPYONLY)
@@ -11,10 +11,10 @@
 	configure_file(${file} ${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/${destination}/${filename} COPYONLY)
       endforeach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
     endif(NOT CMAKE_CONFIGURATION_TYPES)
-  ENDFOREACH(file ${${files}})
-ENDMACRO(TCL_SCRIPTS_BUILD)
+  endforeach(file ${${files}})
+endmacro(TCL_SCRIPTS_BUILD)
 
-SET(tcl_library_toplevel
+set(tcl_library_toplevel
   auto.tcl
   clock.tcl
   history.tcl
@@ -26,28 +26,28 @@
   word.tcl
   tclIndex
   )
-INSTALL(FILES ${tcl_library_toplevel} DESTINATION lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR})
-TCL_SCRIPTS_BUILD(tcl_library_toplevel lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR})
+install(FILES ${tcl_library_toplevel} DESTINATION lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR})
+tcl_scripts_build(tcl_library_toplevel lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR})
 
-SET(tcl_library_http1
+set(tcl_library_http1
   http1.0/http.tcl
   http1.0/pkgIndex.tcl
   )
-INSTALL(FILES ${tcl_library_http1} DESTINATION lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}/http1.0)
-TCL_SCRIPTS_BUILD(tcl_library_http1 lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}/http1.0)
+install(FILES ${tcl_library_http1} DESTINATION lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}/http1.0)
+tcl_scripts_build(tcl_library_http1 lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}/http1.0)
 
-SET(tcl_library_opt04
+set(tcl_library_opt04
   opt/optparse.tcl
   opt/pkgIndex.tcl
   )
-INSTALL(FILES ${tcl_library_opt04} DESTINATION lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}/opt0.4)
-TCL_SCRIPTS_BUILD(tcl_library_opt04 lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}/opt0.4)
+install(FILES ${tcl_library_opt04} DESTINATION lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}/opt0.4)
+tcl_scripts_build(tcl_library_opt04 lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}/opt0.4)
 
-INSTALL(FILES http/http.tcl DESTINATION lib/tcl8/8.4 RENAME http-2.7.5.tm)
-INSTALL(FILES platform/platform.tcl DESTINATION lib/tcl8/8.4 RENAME platform-1.0.9.tm)
-INSTALL(FILES platform/shell.tcl DESTINATION lib/tcl8/8.4/platform RENAME shell-1.1.4.tm)
-INSTALL(FILES msgcat/msgcat.tcl DESTINATION lib/tcl8/8.5 RENAME msgcat-1.4.3.tm)
-INSTALL(FILES tcltest/tcltest.tcl DESTINATION lib/tcl8/8.5 RENAME tcltest-2.3.2.tm)
+install(FILES http/http.tcl DESTINATION lib/tcl8/8.4 RENAME http-2.7.5.tm)
+install(FILES platform/platform.tcl DESTINATION lib/tcl8/8.4 RENAME platform-1.0.9.tm)
+install(FILES platform/shell.tcl DESTINATION lib/tcl8/8.4/platform RENAME shell-1.1.4.tm)
+install(FILES msgcat/msgcat.tcl DESTINATION lib/tcl8/8.5 RENAME msgcat-1.4.3.tm)
+install(FILES tcltest/tcltest.tcl DESTINATION lib/tcl8/8.5 RENAME tcltest-2.3.2.tm)
 
 if(CMAKE_CONFIGURATION_TYPES)
    foreach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
@@ -66,13 +66,13 @@
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/tcltest/tcltest.tcl ${CMAKE_BINARY_DIR}/lib/tcl8/8.5/tcltest-2.3.2.tm COPYONLY)
 endif(CMAKE_CONFIGURATION_TYPES)
 	
-IF(NOT WIN32)
-  INSTALL(FILES ../unix/tclAppInit.c DESTINATION lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR})
-ELSE(NOT WIN32)
-  INSTALL(FILES ../win/tclAppInit.c DESTINATION lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR})
-ENDIF(NOT WIN32)
+if(NOT WIN32)
+  install(FILES ../unix/tclAppInit.c DESTINATION lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR})
+else(NOT WIN32)
+  install(FILES ../win/tclAppInit.c DESTINATION lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR})
+endif(NOT WIN32)
 
-SET(tcl_msgs
+set(tcl_msgs
   msgs/af.msg
   msgs/af_za.msg
   msgs/ar.msg
@@ -202,10 +202,10 @@
   msgs/zh_tw.msg
   )
 
-INSTALL(FILES ${tcl_msgs} DESTINATION lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}/msgs)
-TCL_SCRIPTS_BUILD(tcl_msgs lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}/msgs)
+install(FILES ${tcl_msgs} DESTINATION lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}/msgs)
+tcl_scripts_build(tcl_msgs lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}/msgs)
 
-SET(tcl_encoding
+set(tcl_encoding
   encoding/ascii.enc
   encoding/big5.enc
   encoding/cp1250.enc
@@ -285,5 +285,5 @@
   encoding/symbol.enc
   encoding/tis-620.enc
   )
-INSTALL(FILES ${tcl_encoding} DESTINATION lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}/encoding)
-TCL_SCRIPTS_BUILD(tcl_encoding lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}/encoding)
+install(FILES ${tcl_encoding} DESTINATION lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}/encoding)
+tcl_scripts_build(tcl_encoding lib/tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}/encoding)
Index: src/other/tcl/doc/CMakeLists.txt
===================================================================
--- src/other/tcl/doc/CMakeLists.txt	(revision 54114)
+++ src/other/tcl/doc/CMakeLists.txt	(working copy)
@@ -1,29 +1,29 @@
-IF(NOT MAN_DIR)
-	SET(MAN_DIR "man")
-ENDIF(NOT MAN_DIR)
+if(NOT MAN_DIR)
+	set(MAN_DIR "man")
+endif(NOT MAN_DIR)
 
-FIND_PROGRAM(SH_EXEC NAMES sh dash bash DOC "path to shell executable")
-FIND_PROGRAM(SED_EXEC NAMES sed DOC "path to sed executable")
-MARK_AS_ADVANCED(SH_EXEC)
-MARK_AS_ADVANCED(SED_EXEC)
+find_program(SH_EXEC NAMES sh dash bash DOC "path to shell executable")
+find_program(SED_EXEC NAMES sed DOC "path to sed executable")
+mark_as_advanced(SH_EXEC)
+mark_as_advanced(SED_EXEC)
 
-FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/man1)
-FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/man3)
-FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/mann)
+file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/man1)
+file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/man3)
+file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/mann)
 
-IF(SED_EXEC AND SH_EXEC AND NOT TCLMAN_GENERATED)
-	MESSAGE("Generating Tcl man pages...")
+if(SED_EXEC AND SH_EXEC AND NOT TCLMAN_GENERATED)
+	message("Generating Tcl man pages...")
 
-	SET(tcl_MAN1
+	set(tcl_MAN1
 		tclsh.1
 		)
-	FOREACH(manfile ${tcl_MAN1})
-		EXEC_PROGRAM(${SH_EXEC} ARGS ${CMAKE_CURRENT_SOURCE_DIR}/../unix/installManPage
+	foreach(manfile ${tcl_MAN1})
+		exec_program(${SH_EXEC} ARGS ${CMAKE_CURRENT_SOURCE_DIR}/../unix/installManPage
 			${CMAKE_CURRENT_SOURCE_DIR}/${manfile}
 			${CMAKE_CURRENT_BINARY_DIR}/man1 OUTPUT_VARIABLE MAN1_SH)
-	ENDFOREACH(manfile ${tcl_MAN1})
+	endforeach(manfile ${tcl_MAN1})
 
-	SET(tcl_MAN3
+	set(tcl_MAN3
 		Access.3
 		AddErrInfo.3
 		Alloc.3
@@ -125,13 +125,13 @@
 		Utf.3
 		WrongNumArgs.3
 		)
-	FOREACH(manfile ${tcl_MAN3})
-		EXEC_PROGRAM(${SH_EXEC} ARGS ${CMAKE_CURRENT_SOURCE_DIR}/../unix/installManPage
+	foreach(manfile ${tcl_MAN3})
+		exec_program(${SH_EXEC} ARGS ${CMAKE_CURRENT_SOURCE_DIR}/../unix/installManPage
 			${CMAKE_CURRENT_SOURCE_DIR}/${manfile}
 			${CMAKE_CURRENT_BINARY_DIR}/man3 OUTPUT_VARIABLE MAN3_SH)
-	ENDFOREACH(manfile ${tcl_MAN3})
+	endforeach(manfile ${tcl_MAN3})
 
-	SET(tcl_MANN
+	set(tcl_MANN
 		Tcl.n
 		after.n
 		append.n
@@ -241,19 +241,19 @@
 		vwait.n
 		while.n
 		)
-	FOREACH(manfile ${tcl_MANN})
-		EXEC_PROGRAM(${SH_EXEC} ARGS ${CMAKE_CURRENT_SOURCE_DIR}/../unix/installManPage
+	foreach(manfile ${tcl_MANN})
+		exec_program(${SH_EXEC} ARGS ${CMAKE_CURRENT_SOURCE_DIR}/../unix/installManPage
 			${CMAKE_CURRENT_SOURCE_DIR}/${manfile}
 			${CMAKE_CURRENT_BINARY_DIR}/mann OUTPUT_VARIABLE MAN5_SH)
-	ENDFOREACH(manfile ${tcl_MANN})
+	endforeach(manfile ${tcl_MANN})
 
-	SET(TCLMAN_GENERATED 1 CACHE BOOL "Flag signifying Tcl man pages are generated" FORCE)
-	MARK_AS_ADVANCED(TCLMAN_GENERATED)
+	set(TCLMAN_GENERATED 1 CACHE BOOL "Flag signifying Tcl man pages are generated" FORCE)
+	mark_as_advanced(TCLMAN_GENERATED)
 
-ENDIF(SED_EXEC AND SH_EXEC AND NOT TCLMAN_GENERATED)
+endif(SED_EXEC AND SH_EXEC AND NOT TCLMAN_GENERATED)
 
-IF(TCLMAN_GENERATED)
-	FILE(GLOB TCL_MAN1 "${CMAKE_CURRENT_BINARY_DIR}/man1/*")
+if(TCLMAN_GENERATED)
+	file(GLOB TCL_MAN1 "${CMAKE_CURRENT_BINARY_DIR}/man1/*")
         foreach(man ${TCL_MAN1})
 			 set_source_files_properties(${man} PROPERTIES GENERATED TRUE)
           get_filename_component(tclman1 ${man} NAME)
@@ -266,9 +266,9 @@
             endforeach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
 	  endif (NOT CMAKE_CONFIGURATION_TYPES)
         endforeach(man ${TCL_MAN1})
-	INSTALL(FILES ${TCL_MAN1} DESTINATION ${MAN_DIR}/man1)
+	install(FILES ${TCL_MAN1} DESTINATION ${MAN_DIR}/man1)
 
-	FILE(GLOB TCL_MAN3 "${CMAKE_CURRENT_BINARY_DIR}/man3/*")
+	file(GLOB TCL_MAN3 "${CMAKE_CURRENT_BINARY_DIR}/man3/*")
         foreach(man ${TCL_MAN3})
 			 set_source_files_properties(${man} PROPERTIES GENERATED TRUE)
           get_filename_component(tclman3 ${man} NAME)
@@ -281,9 +281,9 @@
             endforeach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
 	  endif (NOT CMAKE_CONFIGURATION_TYPES)
         endforeach(man ${TCL_MAN3})
-	INSTALL(FILES ${TCL_MAN3} DESTINATION ${MAN_DIR}/man3)
+	install(FILES ${TCL_MAN3} DESTINATION ${MAN_DIR}/man3)
 
-	FILE(GLOB TCL_MANN "${CMAKE_CURRENT_BINARY_DIR}/mann/*")
+	file(GLOB TCL_MANN "${CMAKE_CURRENT_BINARY_DIR}/mann/*")
         foreach(man ${TCL_MANN})
 			 set_source_files_properties(${man} PROPERTIES GENERATED TRUE)
           get_filename_component(tclmann ${man} NAME)
@@ -296,5 +296,5 @@
             endforeach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
 	  endif (NOT CMAKE_CONFIGURATION_TYPES)
         endforeach(man ${TCL_MANN})	
-	INSTALL(FILES ${TCL_MANN} DESTINATION ${MAN_DIR}/mann)
-ENDIF(TCLMAN_GENERATED)
+	install(FILES ${TCL_MANN} DESTINATION ${MAN_DIR}/mann)
+endif(TCLMAN_GENERATED)
